<?php


namespace Venom\Admin;


use Venom\Admin\Routes\LoginRoute;
use Venom\Admin\Routes\TemplateLoader;
use Venom\Routing\Router;
use Venom\Venom;

class AdminRouterInit
{
    public static function registerAdminRouters(Venom $venom): void
    {
        $venom->getRouter(Router::ADMIN_ROUTER)->addRoutes(self::getRoutes());
    }

    public static function getRoutes(): array
    {
        return [
            '/login' => [
                'cl' => LoginRoute::class,
                'roles' => ['ROLE_GUEST'],
                'routes' => [
                    '*' => [
                        "POST" => 'login'
                    ],
                    '1' => [
                        "GET" => 'handle'
                    ]
                ]
            ],
            '/templateLoader' => [
                'cl' => TemplateLoader::class,
                'roles' => ['ROLE_GUEST'],
                'routes' => [
                    '*' => [
                        "GET" => 'handle'
                    ]
                ]
            ]
        ];
    }
}